import type { StandardNangoConfig, IncomingFlowConfig } from '@nangohq/shared';
import type { DeployOptions } from '../types.js';
declare class DeployService {
    admin(environmentName: string, debug?: boolean): Promise<void>;
    prep(options: DeployOptions, environment: string, debug?: boolean): Promise<void>;
    run(url: string, body: {
        syncs: IncomingFlowConfig[];
        nangoYamlBody: string | null;
        reconcile: boolean;
        debug: boolean;
        singleDeployMode?: boolean;
    }): Promise<void>;
    package(config: StandardNangoConfig[], debug: boolean, version?: string, optionalSyncName?: string, optionalActionName?: string): IncomingFlowConfig[] | null;
}
declare const deployService: DeployService;
export default deployService;
