import type { Metadata } from '@nangohq/shared';
import { SyncConfigType } from '@nangohq/shared';
import type { DeployOptions, GlobalOptions } from './types.js';
interface RunArgs extends GlobalOptions {
    sync: string;
    connectionId: string;
    lastSyncDate?: string;
    useServerLastSyncDate?: boolean;
    input?: object;
    metadata?: Metadata;
}
export declare const exampleSyncName = "github-issue-example";
export declare const version: (debug: boolean) => void;
export declare const generate: (debug?: boolean, inParentDirectory?: boolean) => Promise<void>;
/**
 * Init
 * If we're not currently in the nango-integrations directory create one
 * and create an example nango.yaml file
 */
export declare const init: (debug?: boolean) => Promise<void>;
export declare const deploy: (options: DeployOptions, environment: string, debug?: boolean) => Promise<void>;
export declare const adminDeploy: (environmentName: string, debug?: boolean) => Promise<void>;
export declare const dryRun: (options: RunArgs, environment: string, debug?: boolean) => Promise<void>;
export declare const tsc: (debug?: boolean, syncName?: string) => Promise<boolean>;
export declare const checkYamlMatchesTsFiles: () => Promise<boolean>;
export declare const nangoCallsAreUsedCorrectly: (filePath: string, type: SyncConfigType | undefined, modelNames: string[]) => boolean;
export declare const tscWatch: (debug?: boolean) => Promise<void>;
export declare const configWatch: (debug?: boolean) => void;
/**
 * Docker Run
 * @desc spawn a child process to run the docker compose located in the cli
 * Look into https://www.npmjs.com/package/docker-compose to avoid dependency maybe?
 */
export declare const dockerRun: (debug?: boolean) => Promise<void>;
export {};
